import MDAnalysis as mda
import numpy as np
import MDAnalysis.analysis.rms as rms
import pandas as pd

STR="../3.simulate/prot-lipids-water-em.gro"
TRJ="0.0.whole.xtc"

#STR="ref.gro"
#TRJ="traj.xtc"

u = mda.Universe(STR,TRJ, all_coordinates=True)
ref = mda.Universe(STR, all_coordinates=True)     

R = rms.RMSD(u, ref, select="name BB and resid 4-36 42-71 78-112 122-146 173-207 231-273 289-303")

R.run()
np.savetxt("1.rmsd_tmbb.csv", R.results.rmsd, delimiter=",")


df = pd.DataFrame(R.results.rmsd,
                  columns=['Frame', 'Time (ns)',
                           'TMBB'])

ax = df.plot(x='Frame', y='TMBB', kind='line')
ax.set_ylabel('RMSD ($\AA$)')
ax.get_figure().savefig('1.rmsd_tmbb.png')
