#usage: R < 3.plot-fingerprints.R --no-save --args "densmap_papc_upper_leaflet" 40  
args <- commandArgs(trailingOnly=T)

library("lattice")
library("viridisLite")
library("raster")
library("rasterVis")


plot_lipid_density <- function(my.filename,boxlength){

my.matrix <- as.matrix(read.table(paste0(my.filename,".dat"),header=T))

my.brks <- c(seq(0,ceiling(max(my.matrix)),by=ceiling(ceiling(max(my.matrix))/10)),floor(max(my.matrix)))
my.brks.shown <- c(0,ceiling(max(my.matrix)/2),floor(max(my.matrix)))
#my.brks <- c(0,200) #to check for very short simulations
#my.brks.shown <- c(0,50,100,150,200)

my.cex.color <- 4.0
my.cex <- 4.5
my.cex.label <- 4.5


myColorkey <- list(at=my.brks,labels=list(at=my.brks.shown,labels=my.brks.shown,cex=3.0, space="right")) #COLORRANGE
mapTheme <- rasterTheme(region=viridis(50))

my.scale=list(x=list(at=c(1,dim(my.matrix)[1]),labels=c(0,boxlength),cex=my.cex), 
              y=list(at=c(1,dim(my.matrix)[1]),labels=c(0,boxlength),cex=my.cex),tck = c(1,0))
p.strip <- list(cex=my.cex, lines=2, fontface='bold')

p <- levelplot(my.matrix, par.settings=mapTheme, at=my.brks, colorkey=myColorkey, margin=F,
       xlab = list(label="X (nm)",cex=4.5), ylab = list(label="Y (nm)",cex=my.cex.label), scales=my.scale, 
       par.strip.text=p.strip)

png(file=paste0(my.filename,".png"), width=15, height=15, res=800, unit="in")
print(p)
dev.off()
}


filename_given <- args[1]
sim_box_length <- args[2]
plot_lipid_density(filename_given,sim_box_length)
